import { PlanTriggerInput } from '../../../../src/personal-configuration/modules/protection-plan/domain/dto/protection-plan-input';
import { TriggerType } from '../../../../src/personal-configuration/modules/protection-plan/domain/models/trigger';
export declare class PlanTriggerInputGenerator {
    static random({ id, countdown, settings }?: Partial<PlanTriggerInput>): PlanTriggerInput;
    static randomList(count?: number): PlanTriggerInput[];
    static maxSecurity(itemProps?: (triggerId: TriggerType) => Partial<Omit<PlanTriggerInput, 'id'>>): PlanTriggerInput[];
    static randomEmailTriggers({ email }?: {
        email?: string;
    }): PlanTriggerInput[];
    static randomPhoneTriggers({ phone }?: {
        phone?: string;
    }): PlanTriggerInput[];
    static emailTrigger({ id, email }?: {
        id?: 'CLICK_LINK' | 'LOGIN';
        email: string | undefined;
    }): PlanTriggerInput;
    static phoneTrigger({ id, phone }?: {
        id?: 'PHONE_CALL' | 'SMS';
        phone: string | undefined;
    }): PlanTriggerInput;
}
export declare class PlanTriggerCountdownInputGenerator {
    static random({ days, hours, minutes }?: Partial<PlanTriggerInput['countdown']>): PlanTriggerInput['countdown'];
}
export declare class PlanTriggerSettingsInputGenerator {
    static random({ email }?: Partial<PlanTriggerInput['settings']>): PlanTriggerInput['settings'];
    static phone({ phone }?: Partial<PlanTriggerInput['settings']>): PlanTriggerInput['settings'];
    static email({ email }?: Partial<PlanTriggerInput['settings']>): PlanTriggerInput['settings'];
}
